React Native 40 - Not Backwards Compatible ⚠️ #29

Closed
wants to merge 2 commits into
from

Projects

None yet

2 participants

@skellock
Contributor
skellock commented Jan 9, 2017

Not sure how you want to deal with this, but I thought I'd throw it out there.

So, React Native 40 is Armageddon for 3rd party native modules.

We just need to qualify the React-* headers.

But this is not compatible with anything under 40. 😿

this-is-sparta

Not sure what other authors are doing to support both yet.

@skellock
Contributor
skellock commented Jan 9, 2017

Oh, i will add: I tested this on Android, and nothing needs to be changed.

RN 41 will have some breaking changes for some Android components, but fortunately not yours (it looks likes).

@gre
Owner
gre commented Jan 9, 2017

I think i'll release a minor version then (not a patch), it won't be backward compatible with prev versions.

@gre gre self-assigned this Jan 9, 2017
@gre
Owner
gre commented Jan 10, 2017 edited

released in v1.6.0
thanks!

@gre gre closed this Jan 10, 2017
@skellock skellock deleted the skellock:rn-40 branch Jan 10, 2017
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment